//Patriche Robert Cosmin 3Ain
/*
Dato un vettore di 15 numeri interi casuali, produrre in output il vettore inverso
 (mirrored). [Nota: si puo ottenere il risultato in due diversi modi: un tenendo l'array 
 in sola lettura, l'altro modificando i valori ma non la lunghezza]
. Es: 10,8,7,9,6,9,1,8,2,7,1,2,3,4,5 ? 5,4,3,2,1,7,2,8,1,9,6,9,7,8,10.
*/

#include <iostream>
#include <cstdlib>
#include <ctime>
#define DIM 15
#define MAX 100
 

using namespace std;

void inserisciVettore(int vect[DIM],size_t size){
	for(size_t i = 0; i < size; i++){	
		vect[i] = rand()% MAX;
	}	
}

void stampaVettore(int vect[DIM],size_t size){
	for(size_t i = 0; i < size; i++ ){
		cout << vect[i] << " ";
	}
}

void vettoreInverso(int vect[DIM],size_t size){
	for(size_t i = size; i > 0; i--){
		cout << vect[i - 1] << " ";
	}
}

int main(void){
	srand(time(NULL));

	int vect[DIM];

	inserisciVettore(vect,DIM);
	
	cout << "Vettore originale:";
	stampaVettore(vect,DIM);
	cout << endl << endl << endl;
	
	cout << "Vettore invertito:";
	vettoreInverso(vect,DIM);
	
	return 0;
}